posthtml-expressions

v1.10.0

Expressions Plugin for PostHTML For more information about how to use this package see README

Latest version published 4 days ago
License: MIT

Ensure you're using the healthiest npm packages

Snyk scans all the packages in your projects for vulnerabilities and provides automated fix advice

Package Health Score

84 / 100

Security

No known security issues
All security vulnerabilities belong to production dependencies of direct and indirect packages.

Security and license risk for significant versions

All Versions
Version Vulnerabilities License Risk
1.10.0 | 09/2022
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
1.9.0 | 08/2021
Popular
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
1.8.1 | 08/2021
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
1.7.1 | 12/2020
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
  • 0
    H
  • 0
    M
  • 0
    L
1.6.2 | 11/2020
  • 0
    H
  • 0
    M
  • 0
    L
License
MIT
Security Policy
No

Is your project affected by vulnerabilities?

Scan your projects for vulnerabilities. Fix quickly with automated fixes. Get started with Snyk for free.

Get started free

Popularity

Recognized

Weekly Downloads (19,182)

Download trend
Dependents
44
GitHub Stars
100
Forks
16
Contributors
9

Direct Usage Popularity

Uncommon

The npm package posthtml-expressions receives a total of 19,182 downloads a week. As such, we scored posthtml-expressions popularity level to be Recognized.

Based on project statistics from the GitHub repository for the npm package posthtml-expressions, we found that it has been starred 100 times, and that 44 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Community

Sustainable
Readme.md
Yes
Contributing.md
Yes
Code of Conduct
No
Contributors
9
Funding
Yes

This project has seen only 10 or less contributors.

We found a way for you to contribute to the project! Looks like posthtml-expressions is missing a Code of Conduct.


Embed Package Health Score Badge

package health: 84/100 package health 84/100

Maintenance

Healthy

Commit Frequency

Open Issues
12
Open PR
3
Last Release
4 days ago
Last Commit
4 days ago

Further analysis of the maintenance status of posthtml-expressions based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Healthy.

We found that posthtml-expressions demonstrates a positive version release cadence with at least one new version released in the past 3 months.

As a healthy sign for on-going project maintenance, we found that the GitHub repository had at least 1 pull request or issue interacted with by the community.

Package

Node.js Compatibility
>=10

Age
6 years
Dependencies
4 Direct
Versions
26
Install Size
37.9 kB
Dist-tags
1
# of Files
10
Maintainers
3
TS Typings
No

posthtml-expressions has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.